// StoryBoard

unit StoryBrd;

// -----------------------------------------------------------------

interface

//           type name            dimensions notes
//           ---- --------------- ---------- --------------------------
// Badguys -  0   Tie-Smile I      (19x13)   0 = rect, X and -X = cs+at
//            1   Tie-Smile II     (19x13)   0 = rect, X and -X = cs
//            2   Mine             (12x12)   .
//            3   Thri-smile       (34x34)   X = range
//            4   TNK-smile        (18x19)   .
//            5   Jump-smile       (21x23)   X = right, -X = left
//            6   Bi-cannon        (25x34)   X = range
//            7   Misile launcher  (26x13)   .
//            8---Misile-----------( 7x17)---.-------------------------
//            9   Piramid          (97x54)   .
//           10   Kamikaze         (11x18)   .
//           11   Container        (11x11)   .

const
  STAGE_4EV = 175;
  STAGE_4 : array[0..STAGE_4EV-1, 0..4] of longint = (
              { BORN AT } { X } { Y } { TYPE } { P1 }

              (      550,  155,  -18,      10,     0),
              (      560,  140,  -18,      10,     0),
              (      560,  170,  -18,      10,     0),
              (      570,  125,  -18,      10,     0),
              (      570,  185,  -18,      10,     0),

              (      580,   10,  -18,      10,     0),
              (      580,  300,  -18,      10,     0),
              (      590,   25,  -18,      10,     0),
              (      590,  285,  -18,      10,     0),
              (      600,   40,  -18,      10,     0),
              (      600,  270,  -18,      10,     0),
              (      610,   55,  -18,      10,     0),
              (      610,  255,  -18,      10,     0),
              (      620,   70,  -18,      10,     0),
              (      620,  240,  -18,      10,     0),
              (      630,   85,  -18,      10,     0),
              (      630,  225,  -18,      10,     0),

              (      640,   10,  -19,       4,    60),
              (      640,   50,  -19,       4,    60),

              (      640,  252,  -19,       4,    60),
              (      640,  292,  -19,       4,    60),

              (      650,  150,  -13,       1,    -1),
              (      670,  150,  -13,       1,     1),
              (      690,  150,  -13,       1,    -1),
              (      710,  150,  -13,       1,     1),
              (      730,  150,  -13,       1,    -1),
              (      750,  150,  -13,       1,     1),

              (      850,  100,  -12,       2,     0),
              (      870,  200,  -12,       2,     0),
              (      890,  140,  -12,       2,     0),
              (      910,  280,  -12,       2,     0),
              (      930,   40,  -12,       2,     0),
              (      950,  300,  -12,       2,     0),
              (      970,  100,  -12,       2,     0),
              (      990,   10,  -12,       2,     0),
              (     1010,  240,  -12,       2,     0),
              (     1030,  130,  -12,       2,     0),

              (     1150,   50,  -13,       0,     1),
              (     1170,  250,  -13,       0,    -1),
              (     1190,   50,  -13,       0,     1),
              (     1210,  250,  -13,       0,    -1),
              (     1230,   50,  -13,       0,     1),
              (     1250,  250,  -13,       0,    -1),

              (     1350,  200,  -12,       2,     0),
              (     1370,  100,  -12,       4,     0),
              (     1390,  280,  -12,       2,     0),
              (     1410,  140,  -12,       2,     0),
              (     1430,  300,  -12,       4,     0),
              (     1450,   40,  -12,       2,     0),
              (     1470,   10,  -12,       2,     0),
              (     1490,  100,  -12,       2,     0),
              (     1510,  130,  -12,      11,     0),
              (     1530,  160,  -12,       2,     0),

              (     1650,   50,  -13,       0,     1),
              (     1670,  250,  -13,       0,    -1),
              (     1690,   50,  -13,       0,     1),
              (     1710,  250,  -13,       0,    -1),
              (     1730,   50,  -13,       0,     1),
              (     1750,  250,  -13,       0,    -1),

              (     1850,  -30,   70,       5,     1),
              (     1870,  329,   70,       5,    -1),
              (     1890,  -30,   70,       5,     1),
              (     1910,  329,   70,       5,    -1),

              (     2150,  143,  -34,       3,    60),

              (     2150,   10,  -34,       7,     0),
              (     2150,   40,  -34,       7,     0),
              (     2150,  254,  -34,       7,     0),
              (     2150,  284,  -34,       7,     0),

              (     2400,  329,   70,       5,    -2),
              (     2425,  334,   80,       5,    -2),

              (     2500,   10,  -34,       7,     0),
              (     2500,   40,  -34,       7,     0),
              (     2500,  254,  -34,       7,     0),
              (     2500,  284,  -34,       7,     0),

              (     2550,  132,  -34,       7,     0),
              (     2550,  162,  -34,       7,     0),

              (     2700,   10,  -34,       6,   115),
              (     2700,  284,  -34,       6,   115),

              (     3200,  112,  -54,       9,     0),

              (     3850,   50,  -13,       0,     1),
              (     3870,   50,  -13,       0,     1),
              (     3890,   50,  -13,       0,     1),
              (     3910,   50,  -13,       0,     1),
              (     3930,   50,  -13,       0,     1),
              (     3950,   50,  -13,       0,     1),

              (     4000,  250,  -13,       0,    -1),
              (     4020,  250,  -13,       0,    -1),
              (     4040,  250,  -13,       0,    -1),
              (     4060,  250,  -13,       0,    -1),
              (     4080,  250,  -13,       0,    -1),
              (     4100,  250,  -13,       0,    -1),

              (     4150,  132,  -19,       4,     0),
              (     4150,  172,  -19,       4,     0),

              (     4200,   10,  -19,       4,    60),
              (     4200,   50,  -19,       4,    60),

              (     4200,  252,  -19,       4,    60),
              (     4200,  292,  -19,       4,    60),

              (     4400,   50,  -13,       0,     1),
              (     4420,  250,  -13,       0,    -1),
              (     4440,   50,  -13,       0,     1),
              (     4460,  250,  -13,       0,    -1),
              (     4480,   50,  -13,       0,     1),
              (     4500,  250,  -13,       0,    -1),

              (     4550,   10,  -34,       3,    80),
              (     4550,  276,  -34,       3,    80),

              (     5150,  100,  -12,       2,     0),
              (     5170,   10,  -12,       2,     0),
              (     5190,  140,  -12,       2,     0),
              (     5210,  120,  -19,       4,     0),
              (     5230,   40,  -12,       2,     0),
              (     5250,  300,  -12,       2,     0),
              (     5270,  100,  -12,       2,     0),
              (     5290,  200,  -19,       4,     0),
              (     5310,  230,  -12,       2,     0),
              (     5330,   40,  -12,       2,     0),

              (     5350,  100,  -12,       2,     0),
              (     5370,   10,  -12,       2,     0),
              (     5390,  140,  -12,       2,     0),
              (     5410,  120,  -19,       4,     0),
              (     5430,  300,  -12,       2,     0),
              (     5450,  200,  -12,       2,     0),
              (     5470,   40,  -12,      11,     0),
              (     5490,  100,  -19,       4,     0),
              (     5510,  230,  -12,       2,     0),
              (     5530,   40,  -12,       2,     0),

              (     5750,  112,  -54,       9,     0),

              (     6400,   50,  -13,       0,     1),
              (     6420,  250,  -13,       0,    -1),
              (     6440,   50,  -13,       0,     1),
              (     6460,  250,  -13,       0,    -1),
              (     6480,   50,  -13,       0,     1),
              (     6500,  250,  -13,       0,    -1),

              (     6550,   20,  -13,       1,     1),
              (     6550,   60,  -13,       1,     1),
              (     6550,  240,  -13,       1,    -1),
              (     6550,  280,  -13,       1,    -1),
              (     6570,   40,  -13,       1,     1),
              (     6570,   80,  -13,       1,     1),
              (     6570,  220,  -13,       1,    -1),
              (     6570,  260,  -13,       1,    -1),

              (     6650,  102,  -34,       7,     0),
              (     6650,  132,  -34,       7,     0),
              (     6650,  162,  -34,       7,     0),
              (     6650,  192,  -34,       7,     0),

              (     6750,   10,  -19,       4,    60),
              (     6750,  292,  -19,       4,    60),

              (     7000,  329,   70,       5,    -1),
              (     7025,  -30,   70,       5,     1),
              (     7050,  329,   70,       5,    -1),
              (     7075,  -30,   70,       5,     1),

              (     7250,   50,  -13,       0,     1),
              (     7270,  250,  -13,       0,    -1),
              (     7290,   50,  -13,       0,     1),
              (     7310,  250,  -13,       0,    -1),
              (     7330,   50,  -13,       0,     1),
              (     7350,  250,  -13,       0,    -1),
              (     7370,   50,  -13,       0,     1),
              (     7390,  250,  -13,       0,    -1),
              (     7410,   50,  -13,       0,     1),
              (     7430,  250,  -13,       0,    -1),
              (     7450,   50,  -13,       0,     1),
              (     7470,  250,  -13,       0,    -1),

              (     7550,   10,  -34,       6,   115),
              (     7550,  284,  -34,       6,   115),

              (     8000,   10,  -34,       7,     0),
              (     8000,   40,  -34,       7,     0),
              (     8000,  254,  -34,       7,     0),
              (     8000,  284,  -34,       7,     0),

              (     8050,  155,  -18,      10,     0),
              (     8060,  140,  -18,      10,     0),
              (     8060,  170,  -18,      10,     0),
              (     8070,  125,  -18,      10,     0),
              (     8070,  185,  -18,      10,     0),

              (     8400,  112,  -54,       9,     0),

              (     9150,    0,    0, $FFFFFF,     0)
             );

  STAGE_3EV = 186;
  STAGE_3 : array[0..STAGE_3EV-1, 0..4] of longint = (
              { BORN AT } { X } { Y } { TYPE } { P1 }

              (      550,  100,  -12,       2,     0),
              (      570,   10,  -12,       2,     0),
              (      590,  140,  -12,       2,     0),
              (      610,  120,  -19,       4,     0),
              (      630,   40,  -12,       2,     0),
              (      650,  300,  -12,       2,     0),
              (      670,  100,  -12,       2,     0),
              (      690,  200,  -19,       4,     0),
              (      710,  230,  -12,       2,     0),
              (      730,   40,  -12,       2,     0),

              (      750,   10,  -12,       2,     0),
              (      770,  100,  -12,       2,     0),
              (      790,   30,  -12,       2,     0),
              (      810,  210,  -19,       4,     0),
              (      830,  140,  -11,      11,     0),
              (      850,  300,  -12,       2,     0),
              (      870,   80,  -12,       2,     0),
              (      890,   20,  -19,       4,     0),
              (      910,  180,  -12,       2,     0),
              (      930,  220,  -12,       2,     0),

              (     1100,   50,  -13,       0,     1),
              (     1120,  250,  -13,       0,    -1),
              (     1150,   50,  -13,       0,     1),
              (     1170,  250,  -13,       0,    -1),
              (     1190,   50,  -13,       0,     1),
              (     1210,  250,  -13,       0,    -1),

              (     1275,  -30,   70,       5,     1),
              (     1300,  329,   70,       5,    -1),
              (     1325,  -30,   70,       5,     1),
              (     1350,  329,   70,       5,    -1),

              (     1575,   10,  -34,       7,     0),
              (     1575,   40,  -34,       7,     0),
              (     1575,  254,  -34,       7,     0),
              (     1575,  284,  -34,       7,     0),

              (     1580,  150,  -13,       1,    -1),
              (     1600,  150,  -13,       1,     1),
              (     1620,  150,  -13,       1,    -1),
              (     1650,  150,  -13,       1,     1),
              (     1670,  150,  -13,       1,    -1),
              (     1690,  150,  -13,       1,     1),

              (     1800,  276,  -34,       3,    80),
              (     1900,   10,  -34,       3,    80),

              (     2400,   10,  -19,       4,    60),
              (     2400,  292,  -19,       4,    60),

              (     2400,   40,  -34,       7,     0),
              (     2400,  254,  -34,       7,     0),

              (     2400,  150,  -13,       1,     0),
              (     2420,  130,  -13,       1,     0),
              (     2420,  170,  -13,       1,     0),
              (     2440,  110,  -13,       1,     0),
              (     2440,  150,  -13,       1,     0),
              (     2440,  190,  -13,       1,     0),

              (     2550,  100,  -12,       2,     0),
              (     2570,  200,  -12,       2,     0),
              (     2590,  140,  -12,       2,     0),
              (     2610,  280,  -12,       2,     0),
              (     2630,   40,  -12,       2,     0),
              (     2650,  300,  -12,       2,     0),
              (     2670,  100,  -12,       2,     0),
              (     2690,   10,  -12,       2,     0),
              (     2710,  240,  -12,       2,     0),
              (     2730,  130,  -12,       2,     0),

              (     2950,   20,  -13,       1,     1),
              (     2950,   60,  -13,       1,     1),
              (     2950,  240,  -13,       1,    -1),
              (     2950,  280,  -13,       1,    -1),
              (     2970,   40,  -13,       1,     1),
              (     2970,   80,  -13,       1,     1),
              (     2970,  220,  -13,       1,    -1),
              (     2970,  260,  -13,       1,    -1),

              (     3050,   10,  -19,       4,    60),
              (     3050,   50,  -19,       4,    60),

              (     3050,  252,  -19,       4,    60),
              (     3050,  292,  -19,       4,    60),

              (     3150,  150,  -13,       1,    -1),
              (     3170,  150,  -13,       1,     1),
              (     3190,  150,  -13,       1,    -1),
              (     3210,  150,  -13,       1,     1),
              (     3230,  150,  -13,       1,    -1),
              (     3250,  150,  -13,       1,     1),

              (     3450,   10,  -34,       6,   115),
              (     3450,  284,  -34,       6,   115),

              (     3900,  102,  -34,       7,     0),
              (     3900,  192,  -34,       7,     0),

              (     4000,   10,  -34,       7,     0),
              (     4000,   40,  -34,       7,     0),
              (     4000,  254,  -34,       7,     0),
              (     4000,  284,  -34,       7,     0),

              (     4350,   50,  -13,       0,     1),
              (     4370,  250,  -13,       0,    -1),
              (     4390,   50,  -13,       0,     1),
              (     4410,  250,  -13,       0,    -1),
              (     4430,   50,  -13,       0,     1),
              (     4450,  250,  -13,       0,    -1),

              (     4550,   50,  -13,       0,     1),
              (     4570,   50,  -13,       0,     1),
              (     4590,   50,  -13,       0,     1),
              (     4610,   50,  -13,       0,     1),
              (     4630,   50,  -13,       0,     1),
              (     4650,   50,  -13,       0,     1),

              (     4750,  250,  -13,       0,    -1),
              (     4770,  250,  -13,       0,    -1),
              (     4790,  250,  -13,       0,    -1),
              (     4810,  250,  -13,       0,    -1),
              (     4830,  250,  -13,       0,    -1),
              (     4850,  250,  -13,       0,    -1),

              (     5000,  143,  -34,       3,    45),

              (     5050,   40,  -34,       7,     0),
              (     5050,   70,  -34,       7,     0),
              (     5050,  224,  -34,       7,     0),
              (     5050,  254,  -34,       7,     0),

              (     5450,  100,  -12,       2,     0),
              (     5470,   10,  -12,       2,     0),
              (     5490,  140,  -12,       2,     0),
              (     5510,  120,  -19,       4,     0),
              (     5530,  300,  -12,       2,     0),
              (     5550,  200,  -12,       2,     0),
              (     5570,   40,  -12,      11,     0),
              (     5590,  100,  -19,       4,     0),
              (     5610,  230,  -12,       2,     0),
              (     5630,   40,  -12,       2,     0),

              (     5650,   10,  -12,       2,     0),
              (     5670,  100,  -12,       2,     0),
              (     5690,   30,  -12,       2,     0),
              (     5710,  210,  -19,       4,     0),
              (     5730,  140,  -12,       2,     0),
              (     5750,  300,  -12,       2,     0),
              (     5770,   80,  -12,       2,     0),
              (     5790,   20,  -19,       4,     0),
              (     5810,  180,  -12,       2,     0),
              (     5830,  220,  -12,       2,     0),

              (     6150,   20,  -13,       1,     1),
              (     6150,   40,  -13,       1,     1),
              (     6150,   60,  -13,       1,     1),
              (     6150,   80,  -13,       1,     1),
              (     6150,  220,  -13,       1,    -1),
              (     6150,  240,  -13,       1,    -1),
              (     6150,  260,  -13,       1,    -1),
              (     6150,  280,  -13,       1,    -1),

              (     6250,   20,  -13,       1,     1),
              (     6250,   40,  -13,       1,     1),
              (     6250,   60,  -13,       1,     1),
              (     6250,   80,  -13,       1,     1),
              (     6250,  220,  -13,       1,    -1),
              (     6250,  240,  -13,       1,    -1),
              (     6250,  260,  -13,       1,    -1),
              (     6250,  280,  -13,       1,    -1),

              (     6450,  329,   70,       5,    -2),
              (     6475,  334,   80,       5,    -2),
              (     6500,  339,   90,       5,    -2),
              (     6525,  344,  100,       5,    -2),

              (     6750,  -30,   70,       5,     2),
              (     6775,  -35,   80,       5,     2),
              (     6800,  -40,   90,       5,     2),
              (     6825,  -45,  100,       5,     2),

              (     7050,  132,  -19,       4,     0),
              (     7050,  172,  -19,       4,     0),

              (     7150,   10,  -34,       7,     0),
              (     7150,   40,  -34,       7,     0),
              (     7150,  254,  -34,       7,     0),
              (     7150,  284,  -34,       7,     0),

              (     7450,  150,  -13,       1,    -1),
              (     7470,  150,  -13,       1,     1),
              (     7490,  150,  -13,       1,    -1),
              (     7510,  150,  -13,       1,     1),
              (     7530,  150,  -13,       1,    -1),
              (     7550,  150,  -13,       1,     1),

              (     7800,   10,  -34,       6,   115),
              (     7800,  284,  -34,       6,   115),

              (     8300,  132,  -19,       4,     0),
              (     8300,  172,  -19,       4,     0),

              (     8300,   10,  -34,       7,     0),
              (     8300,   40,  -34,       7,     0),
              (     8300,  254,  -34,       7,     0),
              (     8300,  284,  -34,       7,     0),

              (     8550,  -30,   70,       5,     2),
              (     8575,  -35,   80,       5,     2),
              (     8600,  -40,   90,       5,     2),
              (     8625,  -45,  100,       5,     2),

              (     8750,   50,  -13,       0,     1),
              (     8770,   50,  -13,       0,     1),
              (     8790,   50,  -13,       0,     1),
              (     8810,   50,  -13,       0,     1),
              (     8830,   50,  -13,       0,     1),
              (     8850,   50,  -13,       0,     1),

              (     9150,    0,    0, $FFFFFF,     0)
             );

  STAGE_2EV = 205;
  STAGE_2 : array[0..STAGE_2EV-1, 0..4] of longint = (
              { BORN AT } { X } { Y } { TYPE } { P1 }

              (      550,  150,  -13,       1,    -1),
              (      570,  150,  -13,       1,     1),

              (      575,   10,  -19,       4,    60),
              (      575,  292,  -19,       4,    60),

              (      590,  150,  -13,       1,    -1),
              (      610,  150,  -13,       1,     1),
              (      630,  150,  -13,       1,    -1),
              (      650,  150,  -13,       1,     1),

              (      750,   10,  -34,       3,    80),
              (      800,  155,  -11,      11,     0),
              (      850,  276,  -34,       3,    80),

              (     1450,   20,  -13,       1,     1),
              (     1450,   60,  -13,       1,     1),
              (     1450,  240,  -13,       1,    -1),
              (     1450,  280,  -13,       1,    -1),
              (     1470,   40,  -13,       1,     1),
              (     1470,   80,  -13,       1,     1),
              (     1470,  220,  -13,       1,    -1),
              (     1470,  260,  -13,       1,    -1),

              (     1550,   50,  -13,       0,     1),
              (     1570,  250,  -13,       0,    -1),
              (     1590,   50,  -13,       0,     1),
              (     1610,  250,  -13,       0,    -1),
              (     1630,   50,  -13,       0,     1),
              (     1650,  250,  -13,       0,    -1),

              (     1850,   60,  -13,       1,     0),
              (     1850,  240,  -13,       1,     0),
              (     1870,   40,  -13,       1,     0),
              (     1870,   80,  -13,       1,     0),
              (     1870,  220,  -13,       1,     0),
              (     1870,  260,  -13,       1,     0),
              (     1890,   20,  -13,       1,     0),
              (     1890,   60,  -13,       1,     0),
              (     1890,  100,  -13,       1,     0),
              (     1890,  200,  -13,       1,     0),
              (     1890,  240,  -13,       1,     0),
              (     1890,  280,  -13,       1,     0),

              (     1925,  329,   70,       5,    -1),
              (     1950,  -30,   70,       5,     1),
              (     1975,  329,   70,       5,    -1),
              (     2000,  -30,   70,       5,     1),

              (     2175,   10,  -19,       4,    60),
              (     2175,   50,  -19,       4,    60),
              (     2175,  252,  -19,       4,    60),
              (     2175,  292,  -19,       4,    60),

              (     2350,  -30,   70,       5,     2),
              (     2375,  -35,   80,       5,     2),
              (     2400,  -40,   90,       5,     2),
              (     2425,  -45,  100,       5,     2),

              (     2650,  143,  -34,       3,    60),

              (     2750,   10,  -19,       4,    60),
              (     2750,  292,  -19,       4,    60),

              (     3050,  100,  -12,       2,     0),
              (     3070,  200,  -12,       2,     0),
              (     3090,  140,  -12,       2,     0),
              (     3110,  280,  -19,       4,     0),
              (     3130,   40,  -12,       2,     0),
              (     3150,  300,  -12,       2,     0),
              (     3170,  100,  -12,       2,     0),
              (     3190,   10,  -19,       4,     0),
              (     3210,  240,  -12,       2,     0),
              (     3230,  130,  -12,       2,     0),

              (     3250,   10,  -12,       2,     0),
              (     3270,  100,  -12,       2,     0),
              (     3290,  240,  -12,       2,     0),
              (     3310,  130,  -19,       4,     0),
              (     3330,  100,  -12,       2,     0),
              (     3350,   40,  -12,       2,     0),
              (     3370,  200,  -12,       2,     0),
              (     3390,  280,  -19,       4,     0),
              (     3410,   20,  -12,       2,     0),
              (     3430,  130,  -12,       2,     0),

              (     3750,   50,  -13,       0,     1),
              (     3770,  250,  -13,       0,    -1),
              (     3790,   50,  -13,       0,     1),
              (     3810,  250,  -13,       0,    -1),
              (     3830,   50,  -13,       0,     1),
              (     3850,  250,  -13,       0,    -1),

              (     4050,  155,  -11,      11,     0),

              (     4100,  -30,   70,       5,     1),
              (     4125,  329,   70,       5,    -1),
              (     4150,  -30,   70,       5,     1),
              (     4175,  329,   70,       5,    -1),

              (     4350,  150,  -13,       1,     0),
              (     4370,  130,  -13,       1,     0),
              (     4370,  170,  -13,       1,     0),
              (     4390,  110,  -13,       1,     0),
              (     4390,  150,  -13,       1,     0),
              (     4390,  190,  -13,       1,     0),

              (     4550,   10,  -19,       4,    60),
              (     4550,   50,  -19,       4,    60),

              (     4550,  252,  -19,       4,    60),
              (     4550,  292,  -19,       4,    60),

              (     4700,  329,   70,       5,    -1),
              (     4725,  -30,   70,       5,     1),
              (     4750,  329,   70,       5,    -1),
              (     4775,  -30,   70,       5,     1),

              (     5050,   50,  -13,       0,     1),
              (     5070,   50,  -13,       0,     1),
              (     5090,   50,  -13,       0,     1),
              (     5110,   50,  -13,       0,     1),
              (     5130,   50,  -13,       0,     1),
              (     5150,   50,  -13,       0,     1),

              (     5150,  250,  -13,       0,    -1),
              (     5170,  250,  -13,       0,    -1),
              (     5190,  250,  -13,       0,    -1),
              (     5210,  250,  -13,       0,    -1),
              (     5230,  250,  -13,       0,    -1),
              (     5250,  250,  -13,       0,    -1),

              (     5300,   10,  -19,       4,    60),
              (     5300,   50,  -19,       4,    60),

              (     5300,  252,  -19,       4,    60),
              (     5300,  292,  -19,       4,    60),

              (     5350,  150,  -13,       1,    -1),
              (     5370,  150,  -13,       1,     1),
              (     5390,  150,  -13,       1,    -1),
              (     5410,  150,  -13,       1,     1),
              (     5430,  150,  -13,       1,    -1),
              (     5450,  150,  -13,       1,     1),

              (     5650,  132,  -19,       4,     0),
              (     5650,  172,  -19,       4,     0),

              (     5750,  329,   70,       5,    -2),
              (     5775,  334,   80,       5,    -2),
              (     5800,  339,   90,       5,    -2),
              (     5825,  344,  100,       5,    -2),

              (     6050,  -30,   70,       5,     1),
              (     6075,  -30,   70,       5,     1),
              (     6100,  -30,   70,       5,     1),
              (     6125,  -30,   70,       5,     1),

              (     6350,   10,  -12,       2,     0),
              (     6370,  100,  -12,       2,     0),
              (     6390,  120,  -12,       2,     0),
              (     6410,  140,  -19,       4,     0),
              (     6430,  300,  -12,       2,     0),
              (     6450,   40,  -12,       2,     0),
              (     6470,  200,  -12,       2,     0),
              (     6490,  100,  -19,       4,     0),
              (     6510,   40,  -12,       2,     0),
              (     6530,  230,  -12,       2,     0),

              (     6550,  100,  -12,       2,     0),
              (     6570,   10,  -12,       2,     0),
              (     6590,  210,  -12,       2,     0),
              (     6610,   30,  -19,       4,     0),
              (     6630,  300,  -12,       2,     0),
              (     6650,  140,  -12,       2,     0),
              (     6670,   20,  -12,       2,     0),
              (     6690,   80,  -19,       4,     0),
              (     6710,  220,  -12,       2,     0),
              (     6730,  180,  -12,       2,     0),

              (     6850,  -30,   70,       5,     1),
              (     6875,  329,   70,       5,    -1),
              (     6900,  -30,   70,       5,     1),
              (     6925,  329,   70,       5,    -1),

              (     7250,   10,  -34,       3,    80),
              (     7250,  276,  -34,       3,    80),

              (     7350,  329,   70,       5,     2),
              (     7375,  -35,   80,       5,     2),
              (     7400,  -40,   90,       5,     2),
              (     7425,  -45,  100,       5,     2),

              (     7750,   20,  -13,       1,     1),
              (     7750,   40,  -13,       1,     1),
              (     7750,   60,  -13,       1,     1),
              (     7750,   80,  -13,       1,     1),
              (     7750,  220,  -13,       1,    -1),
              (     7750,  240,  -13,       1,    -1),
              (     7750,  260,  -13,       1,    -1),
              (     7750,  280,  -13,       1,    -1),

              (     7850,   20,  -13,       1,     1),
              (     7850,   60,  -13,       1,     1),
              (     7850,  240,  -13,       1,    -1),
              (     7850,  280,  -13,       1,    -1),
              (     7870,   40,  -13,       1,     1),
              (     7870,   80,  -13,       1,     1),
              (     7870,  220,  -13,       1,    -1),
              (     7870,  260,  -13,       1,    -1),

              (     7950,  150,  -13,       1,    -1),
              (     7970,  150,  -13,       1,     1),
              (     7990,  150,  -13,       1,    -1),
              (     8010,  150,  -13,       1,     1),
              (     8030,  150,  -13,       1,    -1),
              (     8050,  150,  -13,       1,     1),

              (     8150,   50,  -13,       1,     1),
              (     8150,  250,  -13,       1,    -1),
              (     8170,   50,  -13,       1,     1),
              (     8170,  250,  -13,       1,    -1),
              (     8190,   50,  -13,       1,     1),
              (     8190,  250,  -13,       1,    -1),
              (     8210,   50,  -13,       1,     1),
              (     8210,  250,  -13,       1,    -1),
              (     8230,   50,  -13,       1,     1),
              (     8230,  250,  -13,       1,    -1),
              (     8250,   50,  -13,       1,     1),
              (     8250,  250,  -13,       1,    -1),

              (     8250,  143,  -34,       3,    60),

              (     8350,   10,  -19,       4,    60),
              (     8350,   50,  -19,       4,    60),

              (     8350,  252,  -19,       4,    60),
              (     8350,  292,  -19,       4,    60),

              (     8550,   50,  -13,       0,     1),
              (     8570,  250,  -13,       0,    -1),
              (     8590,   50,  -13,       0,     1),
              (     8610,  250,  -13,       0,    -1),
              (     8630,   50,  -13,       0,     1),
              (     8650,  250,  -13,       0,    -1),

              (     9150,    0,    0, $FFFFFF,     0)
             );

  STAGE_1EV = 239;
  STAGE_1 : array[0..STAGE_1EV-1, 0..4] of longint = (
               { BORN AT } { X } { Y } { TYPE } { P1 }

               (      550,  100,  -12,       2,     0),
               (      570,  200,  -12,       2,     0),
               (      590,  140,  -12,       2,     0),
               (      610,  280,  -12,       2,     0),
               (      630,   40,  -12,       2,     0),
               (      650,  300,  -12,       2,     0),
               (      670,  100,  -12,       2,     0),
               (      690,   10,  -12,       2,     0),
               (      710,  240,  -12,       2,     0),
               (      730,  130,  -12,       2,     0),

               (      800,  155,  -11,      11,     0),

               (     1050,  150,  -13,       1,     0),
               (     1070,  130,  -13,       1,     0),
               (     1070,  170,  -13,       1,     0),
               (     1090,  110,  -13,       1,     0),
               (     1090,  150,  -13,       1,     0),
               (     1090,  190,  -13,       1,     0),

               (     1150,   50,  -13,       1,     1),
               (     1150,  250,  -13,       1,    -1),
               (     1170,   50,  -13,       1,     1),
               (     1170,  250,  -13,       1,    -1),
               (     1190,   50,  -13,       1,     1),
               (     1190,  250,  -13,       1,    -1),
               (     1210,   50,  -13,       1,     1),
               (     1210,  250,  -13,       1,    -1),
               (     1230,   50,  -13,       1,     1),
               (     1230,  250,  -13,       1,    -1),
               (     1250,   50,  -13,       1,     1),
               (     1250,  250,  -13,       1,    -1),

               (     1350,  130,  -13,       1,     0),
               (     1350,  170,  -13,       1,     0),
               (     1370,  110,  -13,       1,     0),
               (     1370,  150,  -13,       1,     0),
               (     1370,  190,  -13,       1,     0),
               (     1450,   60,  -13,       1,     0),
               (     1450,  240,  -13,       1,     0),
               (     1470,   40,  -13,       1,     0),
               (     1470,  220,  -13,       1,     0),
               (     1470,   80,  -13,       1,     0),
               (     1470,  260,  -13,       1,     0),
               (     1490,   20,  -13,       1,     0),
               (     1490,  200,  -13,       1,     0),
               (     1490,   60,  -13,       1,     0),
               (     1490,  240,  -13,       1,     0),
               (     1490,  100,  -13,       1,     0),
               (     1490,  280,  -13,       1,     0),

               (     1550,   50,  -13,       0,     1),
               (     1570,   50,  -13,       0,     1),
               (     1590,   50,  -13,       0,     1),
               (     1610,   50,  -13,       0,     1),
               (     1630,   50,  -13,       0,     1),
               (     1650,   50,  -13,       0,     1),

               (     1750,  250,  -13,       0,    -1),
               (     1770,  250,  -13,       0,    -1),
               (     1790,  250,  -13,       0,    -1),
               (     1810,  250,  -13,       0,    -1),
               (     1830,  250,  -13,       0,    -1),
               (     1850,  250,  -13,       0,    -1),

               (     2050,  120,  -12,       2,     0),
               (     2070,  100,  -12,       2,     0),
               (     2090,  240,  -12,       2,     0),
               (     2110,  220,  -12,       2,     0),
               (     2130,   20,  -12,       2,     0),
               (     2150,  310,  -12,       2,     0),
               (     2170,  200,  -12,       2,     0),
               (     2190,  170,  -12,       2,     0),
               (     2210,  230,  -12,       2,     0),
               (     2230,  110,  -12,       2,     0),

               (     2550,   50,  -13,       0,     1),
               (     2570,  250,  -13,       0,    -1),
               (     2590,   50,  -13,       0,     1),
               (     2610,  250,  -13,       0,    -1),
               (     2630,   50,  -13,       0,     1),
               (     2650,  250,  -13,       0,    -1),

               (     2750,   20,  -13,       1,     1),
               (     2750,   60,  -13,       1,     1),
               (     2750,  240,  -13,       1,    -1),
               (     2750,  280,  -13,       1,    -1),
               (     2770,   40,  -13,       1,     1),
               (     2770,   80,  -13,       1,     1),
               (     2770,  220,  -13,       1,    -1),
               (     2770,  260,  -13,       1,    -1),

               (     3000,  143,  -34,       3,    60),

               (     3350,   50,  -13,       0,     1),
               (     3370,  250,  -13,       0,    -1),
               (     3390,   50,  -13,       0,     1),
               (     3410,  250,  -13,       0,    -1),
               (     3430,   50,  -13,       0,     1),
               (     3450,  250,  -13,       0,    -1),

               (     3550,   50,  -13,       1,     1),
               (     3550,  250,  -13,       1,    -1),
               (     3570,   50,  -13,       1,     1),
               (     3570,  250,  -13,       1,    -1),
               (     3590,   50,  -13,       1,     1),
               (     3590,  250,  -13,       1,    -1),
               (     3610,   50,  -13,       1,     1),
               (     3610,  250,  -13,       1,    -1),
               (     3630,   50,  -13,       1,     1),
               (     3630,  250,  -13,       1,    -1),
               (     3650,   50,  -13,       1,     1),
               (     3650,  250,  -13,       1,    -1),

               (     3850,  150,  -13,       1,     0),
               (     3870,  130,  -13,       1,     0),
               (     3870,  170,  -13,       1,     0),
               (     3890,  110,  -13,       1,     0),
               (     3890,  150,  -13,       1,     0),
               (     3890,  190,  -13,       1,     0),

               (     4050,   50,  -13,       1,     1),
               (     4050,  250,  -13,       1,    -1),
               (     4070,   50,  -13,       1,     1),
               (     4070,  250,  -13,       1,    -1),
               (     4090,   50,  -13,       1,     1),
               (     4090,  250,  -13,       1,    -1),
               (     4110,   50,  -13,       1,     1),
               (     4110,  250,  -13,       1,    -1),
               (     4130,   50,  -13,       1,     1),
               (     4130,  250,  -13,       1,    -1),
               (     4150,   50,  -13,       1,     1),
               (     4150,  250,  -13,       1,    -1),

               (     4350,  100,  -12,       2,     0),
               (     4370,  200,  -12,       2,     0),
               (     4390,  140,  -12,       2,     0),
               (     4410,  280,  -12,       2,     0),
               (     4430,   40,  -12,       2,     0),
               (     4450,  300,  -12,       2,     0),
               (     4470,  100,  -12,       2,     0),
               (     4490,   10,  -12,       2,     0),
               (     4510,  240,  -12,       2,     0),
               (     4530,  130,  -12,       2,     0),

               (     4750,   10,  -34,       3,    80),
               (     4800,  155,  -11,      11,     0),
               (     4850,  276,  -34,       3,    80),

               (     5450,  100,  -12,       2,     0),
               (     5470,  200,  -12,       2,     0),
               (     5490,  140,  -12,       2,     0),
               (     5510,  280,  -12,       2,     0),
               (     5530,   40,  -12,       2,     0),
               (     5550,  300,  -12,       2,     0),
               (     5570,  100,  -12,       2,     0),
               (     5590,   10,  -12,       2,     0),
               (     5610,  240,  -12,       2,     0),
               (     5630,  130,  -12,       2,     0),

               (     5750,  250,  -13,       0,    -1),
               (     5770,  250,  -13,       0,    -1),
               (     5790,  250,  -13,       0,    -1),
               (     5810,  250,  -13,       0,    -1),
               (     5830,  250,  -13,       0,    -1),
               (     5850,  250,  -13,       0,    -1),

               (     6050,   50,  -13,       0,     1),
               (     6070,   50,  -13,       0,     1),
               (     6090,   50,  -13,       0,     1),
               (     6110,   50,  -13,       0,     1),
               (     6130,   50,  -13,       0,     1),
               (     6150,   50,  -13,       0,     1),

               (     6350,  143,  -34,       3,    60),

               (     6350,   50,  -13,       1,     1),
               (     6350,  250,  -13,       1,    -1),
               (     6370,   50,  -13,       1,     1),
               (     6370,  250,  -13,       1,    -1),
               (     6390,   50,  -13,       1,     1),
               (     6390,  250,  -13,       1,    -1),
               (     6410,   50,  -13,       1,     1),
               (     6410,  250,  -13,       1,    -1),
               (     6430,   50,  -13,       1,     1),
               (     6430,  250,  -13,       1,    -1),
               (     6450,   50,  -13,       1,     1),
               (     6450,  250,  -13,       1,    -1),

               (     6650,  100,  -12,       2,     0),
               (     6670,  200,  -12,       2,     0),
               (     6690,  140,  -12,       2,     0),
               (     6710,  280,  -12,       2,     0),
               (     6730,   40,  -12,       2,     0),
               (     6750,  300,  -12,       2,     0),
               (     6770,  100,  -12,       2,     0),
               (     6790,   10,  -12,       2,     0),
               (     6810,  240,  -12,       2,     0),
               (     6830,  130,  -12,       2,     0),
               (     6850,  100,  -12,       2,     0),
               (     6870,  200,  -12,       2,     0),
               (     6890,  140,  -12,       2,     0),
               (     6910,  280,  -12,       2,     0),
               (     6930,   40,  -12,       2,     0),
               (     6950,  300,  -12,       2,     0),
               (     6970,  100,  -12,       2,     0),
               (     6990,   10,  -12,       2,     0),
               (     7010,  240,  -12,       2,     0),
               (     7030,  130,  -12,       2,     0),

               (     7250,   50,  -13,       0,     1),
               (     7270,  250,  -13,       0,    -1),
               (     7290,   50,  -13,       0,     1),
               (     7310,  250,  -13,       0,    -1),
               (     7330,   50,  -13,       0,     1),
               (     7350,  250,  -13,       0,    -1),

               (     7450,   50,  -13,       0,     1),
               (     7470,  250,  -13,       0,    -1),
               (     7490,   50,  -13,       0,     1),
               (     7510,  250,  -13,       0,    -1),
               (     7530,   50,  -13,       0,     1),
               (     7550,  250,  -13,       0,    -1),

               (     7750,   50,  -13,       1,     1),
               (     7750,  250,  -13,       1,    -1),
               (     7770,   50,  -13,       1,     1),
               (     7770,  250,  -13,       1,    -1),
               (     7790,   50,  -13,       1,     1),
               (     7790,  250,  -13,       1,    -1),
               (     7810,   50,  -13,       1,     1),
               (     7810,  250,  -13,       1,    -1),
               (     7830,   50,  -13,       1,     1),
               (     7830,  250,  -13,       1,    -1),
               (     7850,   50,  -13,       1,     1),
               (     7850,  250,  -13,       1,    -1),

               (     8050,  150,  -13,       1,    -1),
               (     8070,  150,  -13,       1,     1),
               (     8090,  150,  -13,       1,    -1),
               (     8110,  150,  -13,       1,     1),
               (     8130,  150,  -13,       1,    -1),
               (     8150,  150,  -13,       1,     1),

               (     8250,   10,  -34,       3,    80),
               (     8350,  276,  -34,       3,    80),

               (     8550,  143,  -34,       3,    60),

               (     8550,   50,  -13,       1,     1),
               (     8550,  250,  -13,       1,    -1),
               (     8570,   50,  -13,       1,     1),
               (     8570,  250,  -13,       1,    -1),
               (     8590,   50,  -13,       1,     1),
               (     8590,  250,  -13,       1,    -1),
               (     8610,   50,  -13,       1,     1),
               (     8610,  250,  -13,       1,    -1),
               (     8630,   50,  -13,       1,     1),
               (     8630,  250,  -13,       1,    -1),
               (     8650,   50,  -13,       1,     1),
               (     8650,  250,  -13,       1,    -1),

               (     8750,   50,  -13,       0,     1),
               (     8770,  250,  -13,       0,    -1),
               (     8790,   50,  -13,       0,     1),
               (     8810,  250,  -13,       0,    -1),
               (     8830,   50,  -13,       0,     1),
               (     8850,  250,  -13,       0,    -1),

               (     9150,    0,    0, $FFFFFF,     0)
              );

// -----------------------------------------------------------------

implementation

// -----------------------------------------------------------------

end.
