unit Unit1;

// ------------------------------------------------------------------

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, GameCore, DX8DI, DX8DSMP;

type
  TForm1 = class(TForm)
    procedure AppOnIdle(Sender: TObject; var Done: Boolean);
    procedure AppOnActivate(Sender: TObject);
    procedure AppOnDeactivate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

// ------------------------------------------------------------------

implementation

{$R *.DFM}

// ------------------------------------------------------------------

procedure TForm1.AppOnIdle(Sender: TObject; var Done: Boolean);

begin
  Done := false;
  if (not GAMEREADY) or (not GAMEAVAILABLE) then exit;
  RenderFrame(Handle);
end;

// ------------------------------------------------------------------

procedure TForm1.FormActivate(Sender: TObject);

begin
  if not GAMEINITIALIZED then
    begin
      DXInit(Handle);
      GFXLoad(Handle);
      SoundLoad(Handle);
      GAMEREADY := true;
      GAMEINITIALIZED := true;
    end;
end;

// ------------------------------------------------------------------

procedure TForm1.AppOnActivate(Sender: TObject);

begin
  SetPriorityClass(GetCurrentProcess, HIGH_PRIORITY_CLASS);
  if not GAMEINITIALIZED then exit;
  if INIT_FULLSCREEN then DIMouseControl(true);
  DIKeyboardControl(true);
  if JOYSTICKAVAILABLE then DIJoystickControl(true);
  GAMEAVAILABLE := true;
end;

// ------------------------------------------------------------------

procedure TForm1.AppOnDeactivate(Sender: TObject);

begin
  GAMEAVAILABLE := false;
  SetPriorityClass(GetCurrentProcess, IDLE_PRIORITY_CLASS);
end;

// ------------------------------------------------------------------

procedure TForm1.FormCreate(Sender: TObject);

begin
  INIT_FULLSCREEN := not ((paramcount > 0) and
                          (upperCase(paramstr(1)) = PARAM_WINDOWED));
  VarInit;
  Application.OnIdle       := AppOnIdle;
  Application.OnActivate   := AppOnActivate;
  Application.OnDeactivate := AppOnDeactivate;
  Application.OnRestore    := AppOnActivate;
  Application.OnMinimize   := AppOnDeActivate;
  if INIT_FULLSCREEN then BorderStyle := bsNone;
end;

// ------------------------------------------------------------------

procedure TForm1.FormDestroy(Sender: TObject);

begin
  SetPriorityClass(GetCurrentProcess, NORMAL_PRIORITY_CLASS);
  SoundFree;
  GFXFree;
  DXClose;
end;

// ------------------------------------------------------------------

end.
